Summary:  Text editor for the MATE desktop
Name:     mate-text-editor
Version:  1.6.0
Release:  1%{?dist}
License:  GPLv2+
Group:    Applications/Editors
URL:      http://mate-desktop.org
Source0:  http://pub.mate-desktop.org/releases/1.5/%{name}-%{version}.tar.xz


BuildRequires: desktop-file-utils
BuildRequires: enchant-devel
BuildRequires: gail-devel
BuildRequires: gettext-autopoint
BuildRequires: glib2-devel
BuildRequires: gtk2-devel
BuildRequires: gtksourceview2-devel
BuildRequires: iso-codes-devel
#BuildRequires: libattr-devel
BuildRequires: libSM-devel
BuildRequires: mate-common
BuildRequires: mate-conf-devel
BuildRequires: mate-doc-utils
BuildRequires: pango-devel
BuildRequires: pygobject2-devel
BuildRequires: pygtk2-devel
BuildRequires: pygtksourceview-devel
BuildRequires: python-devel
BuildRequires: rarian-compat
BuildRequires: which

Requires: pygtk2
Requires: pygobject2
Requires: pygtksourceview
Requires: gnome-python2-desktop
# the run-command plugin uses zenity
Requires: zenity

%description
mate-text-editor is a small, but powerful text editor designed specifically for
the MATE desktop. It has most standard text editor functions and fully
supports international text in Unicode. Advanced features include syntax
highlighting and automatic indentation of source code, printing and editing
of multiple documents in one window.

mate-text-editor is extensible through a plugin system, which currently includes
support for spell checking, comparing files, viewing CVS ChangeLogs, and
adjusting indentation levels.

%package devel
Summary: Support for developing plugins for the mate-text-editor text editor
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: gtksourceview2-devel
Requires: pygtk2-devel

%description devel
Development files for mate-text-editor

%prep
%setup -q
NOCONFIGURE=1 ./autogen.sh

# Fix debug permissions with messy hack 
find ./*/* -type f -exec chmod 644 {} \;
find ./*/*/* -type f -exec chmod 644 {} \;


%build
%configure \
        --disable-scrollkeeper    \
        --enable-gtk-doc-html     \
        --enable-gvfs-metadata    \
        --enable-python           \
        --disable-schemas-compile

make %{?_smp_mflags} V=1

%install
make DESTDIR=%{buildroot} install

desktop-file-install --delete-original             \
  --remove-category="MATE"                         \
  --add-category="X-Mate"                          \
  --dir %{buildroot}%{_datadir}/applications       \
%{buildroot}%{_datadir}/applications/*.desktop

## clean up all the static libs for plugins
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugins -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugins -name "*.la"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/pluma/plugin-loaders -name "*.la"`


%find_lang pluma --with-gnome
%post
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
/bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null || :
update-desktop-database &> /dev/null || :

%postun
/usr/bin/update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &> /dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &> /dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :



%files  -f pluma.lang
%doc README COPYING AUTHORS
%{_datadir}/pluma
%{_datadir}/mate/help/pluma
%{_datadir}/applications/pluma.desktop
%{_mandir}/man1/*
%{_libdir}/pluma
%{_libexecdir}/pluma
%{_bindir}/pluma
%{_bindir}/mate-text-editor
%{_datadir}/glib-2.0/schemas/org.mate.pluma.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.filebrowser.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.pluma.plugins.time.gschema.xml
%{_datadir}/MateConf/gsettings/pluma.convert

%files devel
%{_includedir}/pluma
%{_libdir}/pkgconfig/pluma.pc



%changelog
* Sat Apr 13 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.6.0-1
- Update to latest 1.6.0 stable release.

* Sun Feb 10 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.5.1-1
- Update to latest upstream release

* Mon Oct 15 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-2
- Fix build requires

* Sun Oct 14 2012 Leigh Scott <leigh123linux@googlemail.com> - 1.4.0-1
- Initial build


